com.pivotal.gemfirexd.thrift.internal

## Class ClientFinalizer

- java.lang.Object
- - java.lang.ref.Reference<T>
  - - java.lang.ref.WeakReference<Object>
    - - com.gemstone.gemfire.internal.shared.FinalizeObject
      - - com.pivotal.gemfirexd.thrift.internal.ClientFinalizer

All Implemented Interfaces:
  com.gemstone.gemfire.internal.shared.FinalizeObject.BatchFinalize, com.gemstone.gnu.trove.TLinkable, Serializable

    public final class ClientFinalizer
    extends com.gemstone.gemfire.internal.shared.FinalizeObject
    implements com.gemstone.gemfire.internal.shared.FinalizeObject.BatchFinalize

Efficient finalizer for a statement that will clear server-side artifacts.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.gemstone.gemfire.internal.shared.FinalizeObject

`com.gemstone.gemfire.internal.shared.FinalizeObject.BatchFinalize, com.gemstone.gemfire.internal.shared.FinalizeObject.State`

### Constructor Summary

Constructors
Constructor and Description
`ClientFinalizer(Object referent, ClientService service, byte entityType)`

### Method Summary

Methods
`protected void` `clearThis()`
`protected boolean` `doFinalize()`
`protected com.gemstone.gemfire.internal.shared.FinalizeHolder` `getHolder()`
`com.gemstone.gemfire.internal.shared.FinalizeObject.BatchFinalize` `merge(com.gemstone.gemfire.internal.shared.FinalizeObject.BatchFinalize o)`
`void` `updateReferentData(int id, HostConnection source)`

### Methods inherited from class com.gemstone.gemfire.internal.shared.FinalizeObject

`clear, clearAll, clearFinalizationQueues, getClientHolder, getNext, getPrevious, getServerHolder, setNext, setPrevious`

### Methods inherited from class java.lang.ref.Reference

`enqueue, get, isEnqueued`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientFinalizer

    public ClientFinalizer(Object referent,
                   ClientService service,
                   byte entityType)

### Method Detail

#### updateReferentData

    public void updateReferentData(int id,
                          HostConnection source)

#### getHolder

    protected final com.gemstone.gemfire.internal.shared.FinalizeHolder getHolder()

Specified by:
  `getHolder` in class `com.gemstone.gemfire.internal.shared.FinalizeObject`

#### clearThis

    protected void clearThis()

Specified by:
  `clearThis` in class `com.gemstone.gemfire.internal.shared.FinalizeObject`

#### doFinalize

    protected boolean doFinalize()
                          throws Exception

Specified by:
  `doFinalize` in class `com.gemstone.gemfire.internal.shared.FinalizeObject`
Throws:
  `Exception`

#### merge

    public com.gemstone.gemfire.internal.shared.FinalizeObject.BatchFinalize merge(com.gemstone.gemfire.internal.shared.FinalizeObject.BatchFinalize o)

Specified by:
  `merge` in interface `com.gemstone.gemfire.internal.shared.FinalizeObject.BatchFinalize`